/*!*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[0].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[0].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[0].use[3]!./node_modules/sass-resources-loader/lib/loader.js??ruleSet[1].rules[0].use[4]!./node_modules/import-glob-loader/index.js!./src/public/search/css/top.scss ***!
  \*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
@charset "UTF-8";

#tab7 .nouislider-difficulty {
  min-height: 28px;
}

.difficulty-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 8px;
}

.kn-grid.-middle.-compact {
  margin-top: 0;
  padding-bottom: 10px;
}


/*
.simple-search {
  padding: 26px 20px 34px;
  border-radius: 5px;
  background: #fff;
  display: grid;
  gap: 25px;
}
.simple-search .kn-textbox {
  border-radius: 2px !important;
  border: 1px solid #aaa !important;
  background: #fff !important;
}
.simple-search__keyword {
  max-width: 560px;
  width: 100%;
  margin-inline: auto;
}
.simple-search__condition {
  display: grid;
  gap: 25px;
}
.simple-search__submit {
  width: 100%;
  max-width: 926px;
  margin-inline: auto;
}
.simple-search__buttons {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  gap: 16px;
}
.simple-search__buttons .kn-btn {
  padding: 12px 10px !important;
  min-height: 44px;
}

.simple-search-conditions {
  display: grid;
  gap: 25px;
  grid-template-columns: repeat(2, 1fr);
}

.simple-search-buttons {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  gap: 10px;
}
.simple-search-buttons > li {
  -webkit-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
}

.simple-search-button {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  height: 44px;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  border-radius: 5px;
  border: 1px solid #aaa;
  background: #fff;
  color: #333;
}
.simple-search-button input {
  position: absolute !important;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(1px, 1px, 1px, 1px);
}
.simple-search-button:has(:checked) {
  color: #fff;
  background-color: #547bdb;
  border-color: #547bdb;
}

.simple-search-input {
  position: relative;
}
.simple-search-input .kn-textbox {
  width: 100%;
  padding-left: 40px;
  padding-right: 64px;
  text-overflow: ellipsis;
}
.simple-search-input button {
  position: absolute;
  top: 50%;
  right: 10px;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  width: 44px;
  height: 30px;
  padding: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.simple-search-input::before {
  width: 24px;
  height: 24px;
  position: absolute;
  top: 50%;
  left: 10px;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  pointer-events: none;
  background-color: #9c9c9c;
}
.simple-search-input:has(.is-complete)::before {
  background-color: #0072ba;
}
.simple-search-input--pref::before {
  content: "";
  -webkit-mask: url(/search/images/top/ico_simple_search_pref.svg) no-repeat 50% 50%;
  mask: url(/search/images/top/ico_simple_search_pref.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}
.simple-search-input--faculty::before {
  content: "";
  -webkit-mask: url(/search/images/top/ico_simple_search_faculty.svg) no-repeat 50% 50%;
  mask: url(/search/images/top/ico_simple_search_faculty.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}
.simple-search-input--difficulty::before {
  content: "";
  -webkit-mask: url(/search/images/top/ico_simple_search_difficulty.svg) no-repeat 50% 50%;
  mask: url(/search/images/top/ico_simple_search_difficulty.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}

.simple-search-modal-head {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 24px;
  -webkit-box-align: baseline;
  -ms-flex-align: baseline;
  align-items: baseline;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding-bottom: 24px;
}

.simple-search-modal-head a {
  -ms-flex-negative: 0;
  flex-shrink: 0;
}

.simple-search-modal-content {
  max-height: 426px;
  overflow-y: auto;
  padding-bottom: 25px;
  margin-bottom: -25px;
}
.simple-search-modal-content .kn-grid {
  width: 100%;
  overflow: hidden;
  padding-top: 2px;
}
.simple-search-modal-content .nouislider-difficulty {
  min-height: 28px;
}

.difficulty-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 8px;
}

@media all and (max-width: 767.9px) {
  .simple-search {
    gap: 10px;
    grid-template-columns: 1fr;
  }
  .simple-search__condition {
    gap: 10px;
    grid-template-columns: 1fr;
  }
  .simple-search__submit {
    padding-top: 15px;
  }
  .simple-search__buttons {
    display: grid;
    grid-template-columns: 1fr;
    gap: 10px;
  }
  .simple-search-conditions {
    gap: 10px;
    grid-template-columns: 1fr;
  }
  .simple-search-modal-head {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: start;
    gap: 16px;
  }
  .simple-search-modal-head:has(a) {
    padding-bottom: 30px;
  }
  .simple-search-modal-head a {
    margin-left: auto;
  }
}
*/